{
  "schema_version": "rawsession_v1",
  "session_id": "sess_20251122T012255_a6ff491a",
  "agent_version": "0.1.0",
  "environment": {
    "platform": "linux",
    "hostname": "dom-X870-Riptide-WiFi",
    "screen": {
      "primary_resolution": [
        1920,
        1080
      ],
      "display_scale": 1.0
    }
  },
  "user": {
    "id": "demo_user",
    "label": "Démo agent_v0"
  },
  "context": {
    "customer": "Clinique Demo",
    "training_label": "Facturation_T2A_demo",
    "notes": "Session réelle avec clics + screenshots + key combos."
  },
  "started_at": "2025-11-22T00:22:55Z",
  "ended_at": "2025-11-22T00:24:03Z",
  "events": [
    {
      "t": 3.1684997830016073,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0001",
      "button": "left",
      "pos": [
        38,
        1045
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 4.774834978976287,
      "type": "mouse_click",
      "window": {
        "title": "unknown_window",
        "app_name": "unknown_app"
      },
      "screenshot_id": "shot_0002",
      "button": "left",
      "pos": [
        1116,
        77
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 5.81886474500061,
      "type": "hover_idle",
      "window": {
        "title": "unknown_window",
        "app_name": "unknown_app"
      },
      "screenshot_id": "shot_0003",
      "button": null,
      "pos": [
        1117,
        77
      ],
      "keys": null,
      "idle_ms": 763,
      "scroll_delta": null
    },
    {
      "t": 8.675787344982382,
      "type": "mouse_click",
      "window": {
        "title": "unknown_window",
        "app_name": "unknown_app"
      },
      "screenshot_id": "shot_0004",
      "button": "left",
      "pos": [
        964,
        237
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 9.542181272991002,
      "type": "hover_idle",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0005",
      "button": null,
      "pos": [
        964,
        236
      ],
      "keys": null,
      "idle_ms": 731,
      "scroll_delta": null
    },
    {
      "t": 10.76403674899484,
      "type": "hover_idle",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0006",
      "button": null,
      "pos": [
        862,
        216
      ],
      "keys": null,
      "idle_ms": 710,
      "scroll_delta": null
    },
    {
      "t": 11.493462079990422,
      "type": "mouse_click",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0007",
      "button": "left",
      "pos": [
        862,
        216
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 15.005104206997203,
      "type": "mouse_click",
      "window": {
        "title": "Document1.docx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0008",
      "button": "left",
      "pos": [
        45,
        402
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 15.589322414976778,
      "type": "hover_idle",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0009",
      "button": null,
      "pos": [
        45,
        402
      ],
      "keys": null,
      "idle_ms": 702,
      "scroll_delta": null
    },
    {
      "t": 23.73784916198929,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0010",
      "button": "left",
      "pos": [
        29,
        583
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 24.215254560986068,
      "type": "hover_idle",
      "window": {
        "title": "Document1.docx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0011",
      "button": null,
      "pos": [
        29,
        583
      ],
      "keys": null,
      "idle_ms": 762,
      "scroll_delta": null
    },
    {
      "t": 26.18911038598162,
      "type": "mouse_click",
      "window": {
        "title": "Document1.docx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0012",
      "button": "left",
      "pos": [
        102,
        96
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 27.50064410699997,
      "type": "mouse_click",
      "window": {
        "title": "Document1.docx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0013",
      "button": "left",
      "pos": [
        163,
        584
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 28.398130443994887,
      "type": "mouse_click",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0014",
      "button": "left",
      "pos": [
        977,
        241
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 30.00983267198899,
      "type": "mouse_click",
      "window": {
        "title": "*Livre1.xlsx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0015",
      "button": "left",
      "pos": [
        133,
        103
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 30.23801764898235,
      "type": "hover_idle",
      "window": {
        "title": "*Livre1.xlsx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0016",
      "button": null,
      "pos": [
        133,
        103
      ],
      "keys": null,
      "idle_ms": 722,
      "scroll_delta": null
    },
    {
      "t": 31.26953744099592,
      "type": "mouse_click",
      "window": {
        "title": "*Livre1.xlsx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0017",
      "button": "left",
      "pos": [
        192,
        615
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 34.50322362600127,
      "type": "mouse_click",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0018",
      "button": "left",
      "pos": [
        1039,
        221
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 36.09574069298105,
      "type": "mouse_click",
      "window": {
        "title": "*Livre2.xlsx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0019",
      "button": "left",
      "pos": [
        102,
        98
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 37.18136298598256,
      "type": "mouse_click",
      "window": {
        "title": "*Livre2.xlsx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0020",
      "button": "left",
      "pos": [
        154,
        614
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 37.86934186797589,
      "type": "mouse_click",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0021",
      "button": "left",
      "pos": [
        1037,
        246
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 39.08423037099419,
      "type": "mouse_click",
      "window": {
        "title": "*Livre3.xlsx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0022",
      "button": "left",
      "pos": [
        145,
        102
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 40.43024777297978,
      "type": "mouse_click",
      "window": {
        "title": "*Livre3.xlsx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0023",
      "button": "left",
      "pos": [
        154,
        606
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 41.37494612898445,
      "type": "mouse_click",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0024",
      "button": "left",
      "pos": [
        768,
        254
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 42.59985544998199,
      "type": "mouse_click",
      "window": {
        "title": "Document2.docx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0025",
      "button": "left",
      "pos": [
        117,
        99
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 43.510244062985294,
      "type": "mouse_click",
      "window": {
        "title": "Document2.docx — ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0026",
      "button": "left",
      "pos": [
        149,
        583
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 47.80467690699152,
      "type": "mouse_click",
      "window": {
        "title": "ONLYOFFICE",
        "app_name": "DesktopEditors"
      },
      "screenshot_id": "shot_0027",
      "button": "left",
      "pos": [
        1912,
        40
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 50.78682437099633,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0028",
      "button": "left",
      "pos": [
        30,
        1043
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 51.39684452000074,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0029",
      "button": "left",
      "pos": [
        30,
        1043
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 51.46999536099611,
      "type": "hover_idle",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0030",
      "button": null,
      "pos": [
        30,
        1043
      ],
      "keys": null,
      "idle_ms": 785,
      "scroll_delta": null
    },
    {
      "t": 52.649815398996,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0031",
      "button": "left",
      "pos": [
        30,
        1043
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 53.1728307849844,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0032",
      "button": "left",
      "pos": [
        30,
        1043
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 54.78535495797405,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0033",
      "button": "left",
      "pos": [
        30,
        1043
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 55.56673585899989,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0034",
      "button": "left",
      "pos": [
        30,
        1043
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 62.703069973998936,
      "type": "hover_idle",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0035",
      "button": null,
      "pos": [
        24,
        542
      ],
      "keys": null,
      "idle_ms": 700,
      "scroll_delta": null
    },
    {
      "t": 67.91067471899441,
      "type": "mouse_click",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0036",
      "button": "left",
      "pos": [
        1740,
        15
      ],
      "keys": null,
      "idle_ms": null,
      "scroll_delta": null
    },
    {
      "t": 67.92472465799074,
      "type": "hover_idle",
      "window": {
        "title": "Terminal",
        "app_name": "gnome-terminal-"
      },
      "screenshot_id": "shot_0037",
      "button": null,
      "pos": [
        1740,
        15
      ],
      "keys": null,
      "idle_ms": 752,
      "scroll_delta": null
    }
  ],
  "screenshots": [
    {
      "screenshot_id": "shot_0001",
      "relative_path": "shots/shot_0001.png",
      "captured_at": "2025-11-22T00:22:58Z"
    },
    {
      "screenshot_id": "shot_0002",
      "relative_path": "shots/shot_0002.png",
      "captured_at": "2025-11-22T00:22:59Z"
    },
    {
      "screenshot_id": "shot_0003",
      "relative_path": "shots/shot_0003.png",
      "captured_at": "2025-11-22T00:23:01Z"
    },
    {
      "screenshot_id": "shot_0004",
      "relative_path": "shots/shot_0004.png",
      "captured_at": "2025-11-22T00:23:03Z"
    },
    {
      "screenshot_id": "shot_0005",
      "relative_path": "shots/shot_0005.png",
      "captured_at": "2025-11-22T00:23:04Z"
    },
    {
      "screenshot_id": "shot_0006",
      "relative_path": "shots/shot_0006.png",
      "captured_at": "2025-11-22T00:23:05Z"
    },
    {
      "screenshot_id": "shot_0007",
      "relative_path": "shots/shot_0007.png",
      "captured_at": "2025-11-22T00:23:06Z"
    },
    {
      "screenshot_id": "shot_0008",
      "relative_path": "shots/shot_0008.png",
      "captured_at": "2025-11-22T00:23:10Z"
    },
    {
      "screenshot_id": "shot_0009",
      "relative_path": "shots/shot_0009.png",
      "captured_at": "2025-11-22T00:23:10Z"
    },
    {
      "screenshot_id": "shot_0010",
      "relative_path": "shots/shot_0010.png",
      "captured_at": "2025-11-22T00:23:18Z"
    },
    {
      "screenshot_id": "shot_0011",
      "relative_path": "shots/shot_0011.png",
      "captured_at": "2025-11-22T00:23:19Z"
    },
    {
      "screenshot_id": "shot_0012",
      "relative_path": "shots/shot_0012.png",
      "captured_at": "2025-11-22T00:23:21Z"
    },
    {
      "screenshot_id": "shot_0013",
      "relative_path": "shots/shot_0013.png",
      "captured_at": "2025-11-22T00:23:22Z"
    },
    {
      "screenshot_id": "shot_0014",
      "relative_path": "shots/shot_0014.png",
      "captured_at": "2025-11-22T00:23:23Z"
    },
    {
      "screenshot_id": "shot_0015",
      "relative_path": "shots/shot_0015.png",
      "captured_at": "2025-11-22T00:23:25Z"
    },
    {
      "screenshot_id": "shot_0016",
      "relative_path": "shots/shot_0016.png",
      "captured_at": "2025-11-22T00:23:25Z"
    },
    {
      "screenshot_id": "shot_0017",
      "relative_path": "shots/shot_0017.png",
      "captured_at": "2025-11-22T00:23:26Z"
    },
    {
      "screenshot_id": "shot_0018",
      "relative_path": "shots/shot_0018.png",
      "captured_at": "2025-11-22T00:23:29Z"
    },
    {
      "screenshot_id": "shot_0019",
      "relative_path": "shots/shot_0019.png",
      "captured_at": "2025-11-22T00:23:31Z"
    },
    {
      "screenshot_id": "shot_0020",
      "relative_path": "shots/shot_0020.png",
      "captured_at": "2025-11-22T00:23:32Z"
    },
    {
      "screenshot_id": "shot_0021",
      "relative_path": "shots/shot_0021.png",
      "captured_at": "2025-11-22T00:23:33Z"
    },
    {
      "screenshot_id": "shot_0022",
      "relative_path": "shots/shot_0022.png",
      "captured_at": "2025-11-22T00:23:34Z"
    },
    {
      "screenshot_id": "shot_0023",
      "relative_path": "shots/shot_0023.png",
      "captured_at": "2025-11-22T00:23:35Z"
    },
    {
      "screenshot_id": "shot_0024",
      "relative_path": "shots/shot_0024.png",
      "captured_at": "2025-11-22T00:23:36Z"
    },
    {
      "screenshot_id": "shot_0025",
      "relative_path": "shots/shot_0025.png",
      "captured_at": "2025-11-22T00:23:37Z"
    },
    {
      "screenshot_id": "shot_0026",
      "relative_path": "shots/shot_0026.png",
      "captured_at": "2025-11-22T00:23:38Z"
    },
    {
      "screenshot_id": "shot_0027",
      "relative_path": "shots/shot_0027.png",
      "captured_at": "2025-11-22T00:23:42Z"
    },
    {
      "screenshot_id": "shot_0028",
      "relative_path": "shots/shot_0028.png",
      "captured_at": "2025-11-22T00:23:45Z"
    },
    {
      "screenshot_id": "shot_0029",
      "relative_path": "shots/shot_0029.png",
      "captured_at": "2025-11-22T00:23:46Z"
    },
    {
      "screenshot_id": "shot_0030",
      "relative_path": "shots/shot_0030.png",
      "captured_at": "2025-11-22T00:23:46Z"
    },
    {
      "screenshot_id": "shot_0031",
      "relative_path": "shots/shot_0031.png",
      "captured_at": "2025-11-22T00:23:47Z"
    },
    {
      "screenshot_id": "shot_0032",
      "relative_path": "shots/shot_0032.png",
      "captured_at": "2025-11-22T00:23:48Z"
    },
    {
      "screenshot_id": "shot_0033",
      "relative_path": "shots/shot_0033.png",
      "captured_at": "2025-11-22T00:23:49Z"
    },
    {
      "screenshot_id": "shot_0034",
      "relative_path": "shots/shot_0034.png",
      "captured_at": "2025-11-22T00:23:50Z"
    },
    {
      "screenshot_id": "shot_0035",
      "relative_path": "shots/shot_0035.png",
      "captured_at": "2025-11-22T00:23:57Z"
    },
    {
      "screenshot_id": "shot_0036",
      "relative_path": "shots/shot_0036.png",
      "captured_at": "2025-11-22T00:24:03Z"
    },
    {
      "screenshot_id": "shot_0037",
      "relative_path": "shots/shot_0037.png",
      "captured_at": "2025-11-22T00:24:03Z"
    }
  ]
}